Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/UngroupTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/UngroupTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/UngroupTool.cs	(revision 4068)
@@ -1,92 +1,78 @@
-using System;
-using System.Diagnostics;
-using System.Collections;
-using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Group tool
+  /// </summary>
+  class UngroupTool : AbstractTool, IMouseListener {
+
+    #region Fields
+
+    #endregion
+
+    #region Constructor
     /// <summary>
-    /// Group tool
+    /// Initializes a new instance of the <see cref="T:UngroupTool"/> class.
     /// </summary>
-    class UngroupTool : AbstractTool, IMouseListener
-    {
+    /// <param name="name">The name of the tool.</param>
+    public UngroupTool(string name)
+      : base(name) {
+    }
+    #endregion
 
-        #region Fields
-       
-        #endregion
+    #region Methods
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:UngroupTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        public UngroupTool(string name) : base(name)
-        { 
-        }
-        #endregion
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    protected override void OnActivateTool() {
+      bool valid = true;
 
-        #region Methods
+      #region Validation of the selection
 
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        protected override void OnActivateTool()
-        {
-            bool valid = true;
-            
-            #region Validation of the selection
-            
-            //make sure we have the correct stuff on the table
-            if (this.Controller.Model.Selection.SelectedItems == null || this.Controller.Model.Selection.SelectedItems.Count == 0)
-            {
-                MessageBox.Show("Nothing is selected, you need to select an existing group.", "Nothing selected.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;                
-            } else if (this.Controller.Model.Selection.SelectedItems.Count != 1)
-            {
-                MessageBox.Show("Multiple items are selected, select only one group.", "Multiple items", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;
-            } else if (!(this.Controller.Model.Selection.SelectedItems[0] is IGroup))
-            {
-                MessageBox.Show("The selected item is not a group.", "Not a group.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;
-            }
-            #endregion
+      //make sure we have the correct stuff on the table
+      if (this.Controller.Model.Selection.SelectedItems == null || this.Controller.Model.Selection.SelectedItems.Count == 0) {
+        MessageBox.Show("Nothing is selected, you need to select an existing group.", "Nothing selected.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      } else if (this.Controller.Model.Selection.SelectedItems.Count != 1) {
+        MessageBox.Show("Multiple items are selected, select only one group.", "Multiple items", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      } else if (!(this.Controller.Model.Selection.SelectedItems[0] is IGroup)) {
+        MessageBox.Show("The selected item is not a group.", "Not a group.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      }
+      #endregion
 
-            if (valid)
-            {
-              UngroupCommand cmd = new UngroupCommand(this.Controller, this.Controller.Model.Selection.SelectedItems[0] as IGroup);
-                this.Controller.UndoManager.AddUndoCommand(cmd);
-                cmd.Redo();
-            }
-             DeactivateTool();
-             return;
-        }
-
-        /// <summary>
-        /// Handles the mouse down event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public bool MouseDown(MouseEventArgs e)
-        {
-            return false;
-        }
-
-        /// <summary>
-        /// Handles the mouse move event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public void MouseMove(MouseEventArgs e)
-        {
-           
-        }
-        public void MouseUp(MouseEventArgs e)
-        {
-            
-        }
-        #endregion
-
-      
+      if (valid) {
+        UngroupCommand cmd = new UngroupCommand(this.Controller, this.Controller.Model.Selection.SelectedItems[0] as IGroup);
+        this.Controller.UndoManager.AddUndoCommand(cmd);
+        cmd.Redo();
+      }
+      DeactivateTool();
+      return;
     }
 
+    /// <summary>
+    /// Handles the mouse down event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public bool MouseDown(MouseEventArgs e) {
+      return false;
+    }
+
+    /// <summary>
+    /// Handles the mouse move event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public void MouseMove(MouseEventArgs e) {
+
+    }
+    public void MouseUp(MouseEventArgs e) {
+
+    }
+    #endregion
+
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomAreaTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomAreaTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomAreaTool.cs	(revision 4068)
@@ -1,139 +1,124 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Allows the user to zoom in to a user-drawn rectangle area.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class ZoomAreaTool : AbstractTool, IMouseListener {
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Allows the user to zoom in to a user-drawn rectangle area.
+    /// The location of the mouse when the motion starts.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class ZoomAreaTool : AbstractTool, IMouseListener
-    {
-        #region Fields
+    // ------------------------------------------------------------------
+    protected Point initialPoint;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The location of the mouse when the motion starts.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected Point initialPoint;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Says whether the startingPoint was set, otherwise the ghost will 
+    /// appear even before an initial point was set!
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected bool started;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Says whether the startingPoint was set, otherwise the ghost will 
-        /// appear even before an initial point was set!
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected bool started;
+    #endregion
 
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    /// <param name="toolName">string: The  name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ZoomAreaTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The  name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ZoomAreaTool(string toolName)
-            : base(toolName)
-        {
+    #region Methods
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      base.OnActivateTool();
+      Controller.View.CurrentCursor = CursorPalette.Cross;
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse down event
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    // ------------------------------------------------------------------
+    public bool MouseDown(MouseEventArgs e) {
+      if (e == null) {
+        throw new ArgumentNullException(
+            "The argument object is 'null'");
+      }
+
+      if (e.Button == MouseButtons.Left && IsActive && !IsSuspended) {
+        initialPoint = e.Location;
+        started = true;
+        return true; // This tells the tool-loop to stop looking 
+        // for another handler, which keeps the CPU low.
+
+      }
+      return false;
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse move event
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseMove(MouseEventArgs e) {
+      if (e == null) {
+        throw new ArgumentNullException(
+            "The argument object is 'null'");
+      }
+      if (IsActive && !IsSuspended && started) {
+        IView view = this.Controller.View;
+        Point point = e.Location;
+
+        Controller.View.PaintGhostRectangle(initialPoint, point);
+        Rectangle area = System.Drawing.Rectangle.Inflate(
+            Controller.View.Ghost.Rectangle, 20, 20);
+
+        Controller.View.Invalidate(area);
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse up event.
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseUp(MouseEventArgs e) {
+      if (IsActive) {
+        IView view = Controller.View;
+        if (view.Ghost != null) {
+          Rectangle zoomArea = view.Ghost.Rectangle;
+          view.ZoomArea(zoomArea);
+          started = false;
         }
+        Controller.View.ResetGhost();
+      }
+    }
 
-        #region Methods
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-            base.OnActivateTool();
-            Controller.View.CurrentCursor = CursorPalette.Cross;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse down event
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        // ------------------------------------------------------------------
-        public bool MouseDown(MouseEventArgs e)
-        {
-            if (e == null)
-            {
-                throw new ArgumentNullException(
-                    "The argument object is 'null'");
-            }
-
-            if (e.Button == MouseButtons.Left && IsActive && !IsSuspended)
-            {
-                initialPoint = e.Location;
-                started = true;
-                return true; // This tells the tool-loop to stop looking 
-                             // for another handler, which keeps the CPU low.
-
-            }
-            return false;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse move event
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseMove(MouseEventArgs e)
-        {
-            if (e == null)
-            {
-                throw new ArgumentNullException(
-                    "The argument object is 'null'");
-            }
-            if (IsActive && !IsSuspended && started)
-            {
-                IView view = this.Controller.View;
-                Point point = e.Location;
-
-                Controller.View.PaintGhostRectangle(initialPoint, point);
-                Rectangle area = System.Drawing.Rectangle.Inflate(
-                    Controller.View.Ghost.Rectangle, 20, 20);
-
-                Controller.View.Invalidate(area);
-            }
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse up event.
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseUp(MouseEventArgs e)
-        {
-            if (IsActive)
-            {
-                IView view = Controller.View;
-                if (view.Ghost != null)
-                {
-                    Rectangle zoomArea = view.Ghost.Rectangle;
-                    view.ZoomArea(zoomArea);
-                    started = false;
-                }
-                Controller.View.ResetGhost();
-            }
-        }
-
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomInTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomInTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomInTool.cs	(revision 4068)
@@ -1,28 +1,21 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Allows the user to incrementally adjust (increase) the magnification.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class ZoomInTool : ZoomToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Allows the user to incrementally adjust (increase) the magnification.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class ZoomInTool : ZoomToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The  name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ZoomInTool(string toolName)
-            : base(toolName)
-        {
-            // Increase the magnification by a little to zoom in.
-            base.myZoomFactor = 1.1F;
-        }
+    /// <param name="toolName">string: The  name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ZoomInTool(string toolName)
+      : base(toolName) {
+      // Increase the magnification by a little to zoom in.
+      base.myZoomFactor = 1.1F;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomOutTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomOutTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomOutTool.cs	(revision 4068)
@@ -1,28 +1,21 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Allows the user to incrementally adjust (increase) the magnification.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class ZoomOutTool : ZoomToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Allows the user to incrementally adjust (increase) the magnification.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class ZoomOutTool : ZoomToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The  name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ZoomOutTool(string toolName)
-            : base(toolName)
-        {
-            // Decrease the magnification by a little to zoom out.
-            base.myZoomFactor = 0.9F;
-        }
+    /// <param name="toolName">string: The  name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ZoomOutTool(string toolName)
+      : base(toolName) {
+      // Decrease the magnification by a little to zoom out.
+      base.myZoomFactor = 0.9F;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomToolBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomToolBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ZoomToolBase.cs	(revision 4068)
@@ -1,103 +1,92 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The base class for zooming tools.  Zoom tools allow the user to 
+  /// incrementally adjust (increase or decrease) the View's magnification.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class ZoomToolBase : AbstractTool {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The base class for zooming tools.  Zoom tools allow the user to 
-    /// incrementally adjust (increase or decrease) the View's magnification.
+    /// Used to multiply the current magnification by.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class ZoomToolBase : AbstractTool
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Used to multiply the current magnification by.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected float myZoomFactor = 0.9F;
+    // ------------------------------------------------------------------
+    protected float myZoomFactor = 0.9F;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the multiplier used to adjust the View's
-        /// Magnification by.  The default is 0.9.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public float ZoomFactor
-        {
-            get
-            {
-                return myZoomFactor;
-            }
-            set
-            {
-                myZoomFactor = value;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the multiplier used to adjust the View's
+    /// Magnification by.  The default is 0.9.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public float ZoomFactor {
+      get {
+        return myZoomFactor;
+      }
+      set {
+        myZoomFactor = value;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The  name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ZoomToolBase(string toolName)
-            : base(toolName)
-        {
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    /// <param name="toolName">string: The  name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ZoomToolBase(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Activates this tool - the View's current magnification is
-        /// mulitiplied by 'ZoomFactor'.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-            base.OnActivateTool();
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Activates this tool - the View's current magnification is
+    /// mulitiplied by 'ZoomFactor'.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      base.OnActivateTool();
 
-            SizeF size = Controller.View.Magnification;
-            SizeF autoScrollMinSize =
-                Controller.ParentControl.AutoScrollMinSize;
-            Point origin = Controller.View.Origin;
-            Point parentAutoScrollPosition = 
-                Controller.ParentControl.AutoScrollPosition;
+      SizeF size = Controller.View.Magnification;
+      SizeF autoScrollMinSize =
+          Controller.ParentControl.AutoScrollMinSize;
+      Point origin = Controller.View.Origin;
+      Point parentAutoScrollPosition =
+          Controller.ParentControl.AutoScrollPosition;
 
-            Controller.View.Magnification = new SizeF(
-                size.Width * myZoomFactor,
-                size.Height * myZoomFactor);
+      Controller.View.Magnification = new SizeF(
+          size.Width * myZoomFactor,
+          size.Height * myZoomFactor);
 
-            // Remember to also adjust the diagram's scroll bars.
-            size = new SizeF(
-                autoScrollMinSize.Width * myZoomFactor,
-                autoScrollMinSize.Height * myZoomFactor);
-            Controller.ParentControl.AutoScrollMinSize = Size.Round(size);
+      // Remember to also adjust the diagram's scroll bars.
+      size = new SizeF(
+          autoScrollMinSize.Width * myZoomFactor,
+          autoScrollMinSize.Height * myZoomFactor);
+      Controller.ParentControl.AutoScrollMinSize = Size.Round(size);
 
-            // Should we set the Origin to the location of the selected items
-            // if there are any?  This will allow the user to zoom in on
-            // a selection.
-            if (this.Controller.Model.Selection.SelectedItems.Count > 0)
-            {
-              Bundle bundle = new Bundle(this.Controller.Model.Selection.SelectedItems);
-                Point bundleLocation = bundle.Rectangle.Location;
+      // Should we set the Origin to the location of the selected items
+      // if there are any?  This will allow the user to zoom in on
+      // a selection.
+      if (this.Controller.Model.Selection.SelectedItems.Count > 0) {
+        Bundle bundle = new Bundle(this.Controller.Model.Selection.SelectedItems);
+        Point bundleLocation = bundle.Rectangle.Location;
 
-                // Don't move the origin *exactly* to the bundle's location.
-                // Offset it a little so the bundle is butted-up with the
-                // upper-right hand corner of the screen.
-                bundleLocation.Offset(-20, -20);
-                origin.Offset(Point.Round(Controller.View.WorldToView(
-                    bundleLocation)));
+        // Don't move the origin *exactly* to the bundle's location.
+        // Offset it a little so the bundle is butted-up with the
+        // upper-right hand corner of the screen.
+        bundleLocation.Offset(-20, -20);
+        origin.Offset(Point.Round(Controller.View.WorldToView(
+            bundleLocation)));
 
-                Controller.View.Origin = origin;
-            }
+        Controller.View.Origin = origin;
+      }
 
-            Controller.ParentControl.AutoScrollPosition =
-                Controller.View.Origin;
+      Controller.ParentControl.AutoScrollPosition =
+          Controller.View.Origin;
 
-            DeactivateTool();
-        }
+      DeactivateTool();
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UI/DiagramControlBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UI/DiagramControlBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UI/DiagramControlBase.cs	(revision 4068)
@@ -1,11 +1,9 @@
 using System;
-using System.IO;
-using System.Collections.Generic;
-using System.Text;
+using System.Collections;
 using System.ComponentModel;
-using System.Windows.Forms;
 using System.Drawing;
 using System.Drawing.Printing;
-using System.Collections;
+using System.IO;
+using System.Windows.Forms;
 namespace Netron.Diagramming.Core {
   /// <summary>
